dht::uniform_duration_distribution< Duration > Class Template Reference
Inheritance diagram for dht::uniform_duration_distribution< Duration >:
[legend]
Collaboration diagram for dht::uniform_duration_distribution< Duration >:
[legend]

## Public Member Functions

| uniform_duration_distribution (Duration min, Duration max)
template<class Generator >
Duration | operator() (Generator &&g)
template<class Generator >
Duration | operator() (Generator &&g, const param_type &params)

## Detailed Description

template<typename Duration = duration>
class dht::uniform_duration_distribution< Duration >

Definition at line 94 of file utils.h.

## Constructor & Destructor Documentation

## uniform_duration_distribution()

template<typename Duration = duration>

dht::uniform_duration_distribution< Duration >::uniform_duration_distribution | ( | Duration | min,
|  | Duration | max
| ) |  |

inline

Definition at line 98 of file utils.h.

## Member Function Documentation

## operator()() [1/2]

template<typename Duration = duration>
template<class Generator >

Duration dht::uniform_duration_distribution< Duration >::operator() | ( | Generator && | g | ) |

inline

Definition at line 100 of file utils.h.

## operator()() [2/2]

template<typename Duration = duration>
template<class Generator >

Duration dht::uniform_duration_distribution< Duration >::operator() | ( | Generator && | g,
|  | const param_type & | params
| ) |  |

inline

Definition at line 104 of file utils.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/utils.h